//--------------------------------------------------------------
// File     : main.c
// Datum    : 06.03.2013
// Version  : 1.0
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F4
// IDE      : CooCox CoIDE 1.7.0
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Demo der LIS302DL Library
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_lis302dl.h"
#include "stm32_ub_led.h"

int main(void)
{
  ErrorStatus check;

  SystemInit(); // Quarz Einstellungen aktivieren

  UB_Led_Init(); // LEDs initialisieren

  // LIS302 initialisieren (mit +/- 2G Auflsung)
  check=UB_LIS302_Init(SCALE_2G);

  if(check==ERROR) {
	  // LIS302 wurde nicht gefunden
	  // rote und grne LED einschalten
	  UB_Led_On(LED_RED);
	  UB_Led_On(LED_GREEN);
	  // STOP
	  while(1);
  }

  while(1)
  {
	  // LIS302 auslesen
	  UB_LIS302_Read();
	  // wenn Platine nach links geneigt wird, rote LED einschalten
	  if(LIS302.y_achse>250) UB_Led_On(LED_RED); else UB_Led_Off(LED_RED);
	  // wenn Platine nach rechts geneigt wird, gruene LED einschalten
	  if(LIS302.y_achse<-250) UB_Led_On(LED_GREEN); else UB_Led_Off(LED_GREEN);
	  // wenn Platine nach hinten geneigt wird, blaue LED einschalten
	  if(LIS302.x_achse>250) UB_Led_On(LED_BLUE); else UB_Led_Off(LED_BLUE);
	  // wenn Platine nach vorne geneigt wird, orange LED einschalten
	  if(LIS302.x_achse<-250) UB_Led_On(LED_ORANGE); else UB_Led_Off(LED_ORANGE);

  }
}

